## net.sf.saxon.style
Interface StylesheetProcedure

All Known Implementing Classes:
  XSLAttributeSet, XSLFunction, XSLKey, XSLParam, XSLTemplate, XSLVariable, XSLVariableDeclaration

    public interface StylesheetProcedure

This interface is implemented by all XSL elements that can contain local variable declarations. Specifically, a top-level xsl:template, xsl:variable, xsl:param, or xsl:function element or an xsl:attribute-set element or xsl:key element.

Method Summary
`SlotManager` `getSlotManager()` Get the SlotManager associated with this stylesheet construct.

Method Detail

### getSlotManager

    SlotManager getSlotManager()

  Get the SlotManager associated with this stylesheet construct. The SlotManager contains the information needed to manage the local stack frames used by run-time instances of the code.

  Returns:
    the associated SlotManager object

Copyright (C) Michael H. Kay. All rights reserved.